Skip to main content
GET
Option contracts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

expiry
string

A single expiry date in ISO date format.

Example:

"2024-02-02T00:00:00.000Z"

option_type
enum<string>

The option type to filter by if specified.

Available options:
call,
Call,
put,
Put
vol_greater_oi
boolean

Wether to only return chains where volume > open interest

exclude_zero_vol_chains
boolean

Wether to only return chains where volume > 0

exclude_zero_dte
boolean

Wether to only return chains which do not expire on the same day

exclude_zero_oi_chains
boolean

Wether to only return chains where open interest > 0

maybe_otm_only
boolean

Wether to only return chains which are out of the money

min_dte
integer

Minimum days to expiration (expiry at least this many days from today).

max_dte
integer

Maximum days to expiration (expiry at most this many days from today).

option_symbol[]
string[]

Options symbols to filter by

limit
integer
default:500

How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.

Required range: 1 <= x <= 500
Example:

10

page
integer

Page number (use with limit). Starts on page 0.

Example:

1

Response

All option contracts for a ticker

ask_volume
integer

The amount of volume that happened on the ask side.

Ask side is defined as (ask + bid) / 2 < fill price.

Example:

119403

avg_price
string

The volume weighted average fill price of the contract.

Example:

"1.0465802437910297887119234370"

bid_volume
integer

The amount of volume that happened on the bid side.

Bid side is defined as (ask + bid) / 2 > fill price.

Example:

122789

cross_volume
integer

The amount of cross volume. Cross volume consists of all transaction that have the cross trade code.

Example:

0

delta
string | null

First-order greek: delta.

Example:

"0.42"

floor_volume
integer

The amount of floor volume. Floor volume consists of all transaction that have the floor trade code.

Example:

142

gamma
string | null

First-order greek: gamma.

Example:

"0.031"

high_price
string

The highest fill on that contract.

Example:

"2.95"

implied_volatility
string

The implied volatility for the last transaction.

Example:

"0.675815680048166"

last_price
string

The last fill on the contract.

Example:

"0.03"

last_tape_time
string<date-time> | null

As-of timestamp anchoring row freshness — the contract's last trade (tape) time. Approximate for NBBO freshness (it is trade time, not a dedicated quote timestamp).

low_price
string

The lowest fill on that contract.

Example:

"0.02"

mid_volume
integer

The amount of volume that happened in the middle of the ask and bid.

Mid is defined as (ask + bid) / 2 == fill price.

Example:

22707

multi_leg_volume
integer

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example:

7486

nbbo_ask
string

The National Best Bid and Offer (NBBO) ask price.

Example:

"0.03"

nbbo_bid
string

The National Best Bid and Offer (NBBO) bid price.

Example:

"0.03"

no_side_volume
integer

The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions.

Example:

0

open_interest
integer

The open interest for the contract.

Example:

18680

option_symbol
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

prev_oi
integer

The previous trading day's open interest.

Example:

18680

rho
string | null

First-order greek: rho.

Example:

"0.027"

stock_multi_leg_volume
integer

The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more.

Example:

52

sweep_volume
integer

The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code.

Example:

18260

theta
string | null

First-order greek: theta.

Example:

"-0.058"

total_premium
string

The total option premium.

Example:

"27723806.00"

vega
string | null

First-order greek: vega.

Example:

"0.112"

volume
integer

The contract volume.

Example:

264899

Last modified on September 29, 2026